xmltooling 1.5.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros | Functions
TrustEngine.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <xmltooling/base.h>`
`#include <xercesc/dom/DOM.hpp>`

## Classes
class | xmltooling::TrustEngine
| Evaluates the trustworthiness and validity of security information against implementation-specific requirements. More...

## Namespaces
| xmltooling
| Public namespace of XML Tooling library.

## Macros
#define | __xmltooling_trust_h__
#define | EXPLICIT_KEY_TRUSTENGINE "ExplicitKey"
| TrustEngine based on explicit knowledge of peer key information. More...
#define | STATIC_PKIX_TRUSTENGINE "StaticPKIX"
| TrustEngine based on PKIX evaluation against a static set of trust anchors. More...
#define | CHAINING_TRUSTENGINE "Chaining"
| TrustEngine that tries multiple engines in sequence. More...

## Functions
void | xmltooling::registerTrustEngines ()
| Registers TrustEngine classes into the runtime.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Evaluates the trustworthiness and validity of security information against implementation-specific requirements.

## Macro Definition Documentation

#define CHAINING_TRUSTENGINE "Chaining"

TrustEngine that tries multiple engines in sequence.

#define EXPLICIT_KEY_TRUSTENGINE "ExplicitKey"

TrustEngine based on explicit knowledge of peer key information.

#define STATIC_PKIX_TRUSTENGINE "StaticPKIX"

TrustEngine based on PKIX evaluation against a static set of trust anchors.